Bug 204395 - polish/kadu fails to build with GCC 4.9: invalid C++
Summary: polish/kadu fails to build with GCC 4.9: invalid C++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-11-09 10:48 UTC by Gerald Pfeifer
Modified: 2015-11-11 15:51 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (pawel)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-11-09 10:48:26 UTC
We are working to move the default version of GCC in ports (lang/gcc)
from GCC 4.8 to GCC 4.9.

Sadly this port is one of a few that blocks this update, cf. 

http://package18.nyi.freebsd.org/data/93amd64-default-PR196712/2015-10-26_13h36m37s/logs/errors/pl-kadu-2.1,1.log

An #include <cstdio> or similar may help.
Comment 1 commit-hook freebsd_committer 2015-11-11 15:41:24 UTC
A commit references this bug:

Author: pawel
Date: Wed Nov 11 15:40:39 UTC 2015
New revision: 401251
URL: https://svnweb.freebsd.org/changeset/ports/401251

Log:
  - Fix build with gcc 4.9 [1]
  - Use option helper

  PR:		204395 [1]
  Reported by:	gerald [1]

Changes:
  head/polish/kadu/Makefile
  head/polish/kadu/files/patch-kadu-core_execution-arguments_execution-arguments-parser.h